/*
    * main.cpp
    * Minimal libdialogs message box test
    * Copyright (c) 2026 Daniel Hammer
*/

#include <montauk/syscall.h>
#include <gui/dialogs.hpp>

extern "C" void _start() {
    auto result = gui::dialogs::message_box(
        "Close Document",
        "Discard unsaved changes?",
        gui::dialogs::MESSAGE_BOX_YES_NO_CANCEL);

    if (result == gui::dialogs::MESSAGE_BOX_RESULT_YES) {
        /* discard and close */
    }
    montauk::exit(0);
}
